Bug 1429232 - Review Request: systemd-coredump-python - systemd-coredump helper to log Python exceptions
Summary: Review Request: systemd-coredump-python - systemd-coredump helper to log Pyth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-05 18:44 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2017-05-01 18:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-01 18:14:50 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2017-03-05 18:44:31 UTC
Spec URL: https://in.waw.pl/~zbyszek/fedora/systemd-coredump-python.spec
SRPM URL: https://in.waw.pl/~zbyszek/fedora/systemd-coredump-python-2-1.fc27.src.rpm
Description:
Python module which hooks into the sys.excepthook to log python backtraces
in the journal.

This is the Python counterpart to the new functionality in systmed-coredump
introduced in systemd 233, hence this will be only for F26+.

Fedora Account System Username:
zbyszek

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-03-13 00:55:27 UTC
Note: how to test:
1. make sure you're on systemd 233 (currently only rawhide or F26)
2. run a python script that throws an exception
3. check 'coredumpctl' and 'journalctl' output, a backtrace should be logged.

Comment 2 Antonio 2017-03-14 10:34:41 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/sagitter/1429232-systemd-coredump-python/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6/site-packages/__pycache__,
     /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -systemd-coredump , python3-systemd-coredump
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-systemd-coredump-2-1.fc27.noarch.rpm
          python3-systemd-coredump-2-1.fc27.noarch.rpm
          systemd-coredump-python-2-1.fc27.src.rpm
python2-systemd-coredump.noarch: W: summary-not-capitalized C systemd-coredump helper to log Python exceptions
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US excepthook -> except hook, except-hook, exception
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US backtraces -> backtracks, back traces, back-traces
python3-systemd-coredump.noarch: W: summary-not-capitalized C systemd-coredump helper to log Python exceptions
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US excepthook -> except hook, except-hook, exception
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US backtraces -> backtracks, back traces, back-traces
systemd-coredump-python.src: W: summary-not-capitalized C systemd-coredump helper to log Python exceptions
systemd-coredump-python.src: W: spelling-error %description -l en_US sys -> says, sis, syn
systemd-coredump-python.src: W: spelling-error %description -l en_US excepthook -> except hook, except-hook, exception
systemd-coredump-python.src: W: spelling-error %description -l en_US backtraces -> backtracks, back traces, back-traces
3 packages and 0 specfiles checked; 0 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-systemd-coredump.noarch: W: summary-not-capitalized C systemd-coredump helper to log Python exceptions
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US excepthook -> except hook, except-hook, exception
python2-systemd-coredump.noarch: W: spelling-error %description -l en_US backtraces -> backtracks, back traces, back-traces
python3-systemd-coredump.noarch: W: summary-not-capitalized C systemd-coredump helper to log Python exceptions
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US sys -> says, sis, syn
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US excepthook -> except hook, except-hook, exception
python3-systemd-coredump.noarch: W: spelling-error %description -l en_US backtraces -> backtracks, back traces, back-traces
2 packages and 0 specfiles checked; 0 errors, 8 warnings.



Requires
--------
python2-systemd-coredump (rpmlib, GLIBC filtered):
    python(abi)

python3-systemd-coredump (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-systemd-coredump:
    python-systemd-coredump
    python2-systemd-coredump
    python2.7dist(systemd-coredump-python)
    python2dist(systemd-coredump-python)

python3-systemd-coredump:
    python3-systemd-coredump
    python3.6dist(systemd-coredump-python)
    python3dist(systemd-coredump-python)



Source checksums
----------------
https://github.com/systemd/systemd-coredump-python/archive/v2.tar.gz#/systemd-coredump-python-2.tar.gz :
  CHECKSUM(SHA256) this package     : 770c8bf378f0d70380f9402e55ff95a3d38ec537efc596803e5144a5768d04e8
  CHECKSUM(SHA256) upstream package : 770c8bf378f0d70380f9402e55ff95a3d38ec537efc596803e5144a5768d04e8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1429232
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Zbigniew Jędrzejewski-Szmek 2017-03-14 19:14:39 UTC
Thank you for the review.

Comment 4 Fedora Update System 2017-03-15 03:08:49 UTC
systemd-coredump-python-2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2050abe09

Comment 5 Fedora Update System 2017-03-16 00:49:22 UTC
systemd-coredump-python-2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b2050abe09

Comment 6 Fedora Update System 2017-05-01 18:14:50 UTC
systemd-coredump-python-2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.